/* -------------------------- ALL -------------------------- */

.footer a:not(.btn) {
    color: inherit;
}

.footer .top {
    padding: 90px 30px;
    background-color: #F0F2F4;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    text-align: center;
}

.footer .top .title {
    font-size: 2.5rem;
    color: var(--primary);
    font-weight: 900;
    text-transform: uppercase;
    text-align: left;
    display: flex;
    align-items: center;
    gap: 15px;
    max-width: 1140px;
}

.footer .top .title::before {
    content: url('data:image/svg+xml,<svg width="34" height="28" viewBox="0 0 34 28" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 28.0001H23.5329C27.0102 23.3219 30.5227 18.6783 34 14.0001C30.5227 9.32186 27.0102 4.6783 23.5329 8.12213e-05C2.5 8.12213e-05 15 0 0 8.12213e-05V27.9654V28.0001Z" fill="%23E85234"/></svg>');
    line-height: 0;
}

.footer .top .description {
    max-width: 400px;
}

.footer .top .buttons {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-top: 15px;
}

.footer .middle {
    width: 1200px;
    max-width: 100%;
    margin: 25px auto;
    padding: 0 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 25px;
}

.footer .middle .logo {
    width: 120px;
}

.footer .middle .nav {
    display: flex;
    align-items: center;
    gap: 30px;
}

.footer .middle ul.menu {
    display: flex;
    align-items: center;
    gap: 80px;
}

.footer .bottom {
    width: 1200px;
    max-width: 100%;
    margin: 25px auto;
    padding: 0 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
}

.footer .bottom * {
    font-size: 0.75rem;
}

@media (min-width: 1800px) {
    .footer .middle,
    .footer .bottom {
        width: 1600px;
    }

    .footer .middle .logo {
        width: 180px;
    }
}

@media (max-width: 992px) {
    .footer .middle ul.menu {
        gap: 30px;
    }
}

@media (max-width: 850px) {
    .footer .middle,
    .footer .middle .nav,
    .footer .middle ul.menu,
    .footer .bottom {
        flex-direction: column;
        text-align: center;
    }
}

@media (max-width: 575px) {
    .footer .top {
        padding: 30px;
    }

    .footer .top .title {
        font-size: 2rem;
    }

    .footer .top .buttons {
        flex-direction: column;
    }
}